# Generated by Django 5.0.6 on 2024-10-08 12:40

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('invest_project', '0004_investproject_phone_alter_investproject_address_and_more'),
    ]

    operations = [
        migrations.AddField(
            model_name='investproject',
            name='user_full_name',
            field=models.CharField(blank=True, max_length=64),
        ),
        migrations.AlterField(
            model_name='investproject',
            name='description',
            field=models.TextField(max_length=32),
        ),
        migrations.AlterField(
            model_name='investproject',
            name='name',
            field=models.CharField(max_length=256),
        ),
        migrations.CreateModel(
            name='PresentationLink',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('presentation_link', models.TextField(blank=True)),
                ('invest_project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='presentations', to='invest_project.investproject')),
            ],
        ),
    ]
